Bug Hunting Session
Bug 100495 - Writer doesn't create .odb file when load .ods file in Exchange Databases
Summary: Writer doesn't create .odb file when load .ods file in Exchange Databases
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.0.3 release
Hardware: x86-64 (AMD64) All
: high major
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:5.3.0 target:5.1.5 target:5.2.0.2
Keywords: bisected, regression
Depends on:
Blocks:
 
Reported: 2016-06-20 07:55 UTC by manuel.defranceschi
Modified: 2016-10-25 18:54 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description manuel.defranceschi 2016-06-20 07:55:32 UTC
Description: 
When I load a .ods file in Exchange Databases LO doesn't create the corresponding .odb file. As a result the next time I start LO and try to use the database it says that the file doesn't exist, and I have to load the database again.

Steps:
-Open Writer
-Go to Edit>Exchange Databases
-Click on Browser
-Select a .ods file
-Click Close
-Restart Writer
-Try to use the database

Current behavior:
After the restart LO doesn't allow me to use the database because it doesn't create the .odb file.

Expected behavior:
LO creates the .odb file and after the restart I can use the database again.

Affected version:

Version: 5.1.3.2
Build ID: 644e4637d1d8544fd9f56425bd6cec110e49301b
CPU Threads: 2;
UI Render: default; 
Locale: it-IT (it_IT.UTF-8)
OS: openSUSE Leap 42.1 (x86_64)

Version: 5.3.0.0.alpha0+
Build ID: e1c435ba88c8ec14145b59398a8a46056f277d4c
CPU Threads: 2;
UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-06-19_23:57:40
Locale: it-IT (it_IT.UTF-8)
OS: openSUSE Leap 42.1 (x86_64)

Not affected version:

Version: 5.0.6.3
Build ID: 490fc03b25318460cfc54456516ea2519c11d1aa
Locale: it-IT (it_IT.UTF-8)
OS: openSUSE Leap 42.1 (x86_64)

Versione: 4.4.7.2
Build ID: f3153a8b245191196a4b6b9abd1d0da16eead600
Versione locale: it_IT.UTF-8
OS: openSUSE Leap 42.1 (x86_64)
Comment 1 Alex Thurgood 2016-06-20 08:30:52 UTC
Confirming on

Version: 5.1.3.2
Build ID: 644e4637d1d8544fd9f56425bd6cec110e49301b
CPU Threads: 2; OS Version: Mac OS X 10.11.5; UI Render: default; 
Locale: fr-FR (fr.UTF-8)

Although the registered databases lists the ODB file and indicates the path where this is supposed to be stored, the file doesn't exist (checked in file manager) and when one clicks on the DBS tree and attempts to unfold the tree hierarchy (Queries, Tables), an error message is displayed.


regression over 

LO 4472
in this version the ODB file is created, registered and stored for future use.

OSX 10.11.5
Comment 2 Alex Thurgood 2016-06-20 08:32:29 UTC
I am wondering whether this has something to do with the new mailmerge code introduced which is supposed to store the datasource directly within the document itself ?
Comment 3 Alex Thurgood 2016-06-20 08:33:06 UTC
Marking as regression, but could be the result of a new "feature".
Comment 4 Lionel Elie Mamane 2016-06-21 11:03:41 UTC
(In reply to Alex Thurgood from comment #2)
> I am wondering whether this has something to do with the new mailmerge code
> introduced which is supposed to store the datasource directly within the
> document itself ?

That's very plausible. Please CC the author of this "new mailmerge code" in this bug.
Comment 5 Michael Stahl (CIB) 2016-06-27 15:48:13 UTC
bibisect range
d28102b1ed0c31500bbc68453a7b7613bd2bfa06 782c116b5ac39aef27c3a00f7fc145c9f755e3a3

regression from:

commit f01f31201f9b26b3071ab25f9a5a3a0311ff7423
Author:     Miklos Vajna <vmiklos@collabora.co.uk>
AuthorDate: Tue Jun 9 09:42:40 2015 +0200

SwDBManager: extract StoreEmbeddedDataSource() from registration code


fixed on master
Comment 6 Commit Notification 2016-06-27 15:49:11 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5a042dad2779eefc76269e14b888bd84df590aac

tdf#100495 sw: Exchange Database shouldn't delete the created odb file

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2016-06-27 20:21:57 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f1dc76532638a5093b878919a3c7dd3aa5d22f09&h=libreoffice-5-1

tdf#100495 sw: Exchange Database shouldn't delete the created odb file

It will be available in 5.1.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2016-06-29 14:39:21 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2d5ffa8635a2cd64b46f0f30a4adb6fb8181c08e&h=libreoffice-5-2

tdf#100495 sw: Exchange Database shouldn't delete the created odb file

It will be available in 5.2.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.